Summary: evilwm is a minimalist window manager for the X Window System.
Summary(ja): evilwmは X Window System 用の必要最低限機能のウィンドウマネージャです。
Name:           evilwm
Version:        1.0.1
Release:        1%{?_dist_release}
License:        AEWM LICENCE
URL:            http://xxxx.net/
Group:          Interface/Desktops
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Vendor:         Project Vine
Distribution:   Vine Linux
BuildRequires:  libXrandr-devel libXrender-devel libXext-devel
Requires:       libXrandr libXrender libXext zenity xsri xorg-x11-fonts-ISO8859-1-100dpi

Source0:        http://www.6809.org.uk/evilwm/%{name}-%{version}.tar.gz
Source1:        %{name}-execs.tar.bz2
Source2:        %{name}-cmds.tar.bz2
Source3:        %{name}.desktop
Source4:        start_%{name}
Source5:        exit_%{name}
Source6:        %{name}.txt
Source7:        %{name}-autostart
Source10:       mirror-vine.jpg
Patch1:         evilwm-extwm.patch

%description
evilwm is a minimalist window manager for the X Window System.
%description -l ja
evilwmは X Window System 用の必要最低限機能のウィンドウマネージャです。

%prep
%setup -q -a 1
%patch1 -p1

%build
%__make
%install
rm -rf $RPM_BUILD_ROOT
%__make DESTDIR=$RPM_BUILD_ROOT install
# install DM entry
%__mkdir -p %{buildroot}%{_sysconfdir}/X11/dm/Sessions/
%__install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/X11/dm/Sessions/
# install evilwm start & exit command
%__install -m 0755 %{SOURCE4} %{SOURCE5} %{buildroot}%{_bindir}/
# install hot-key evilwm commands
%__install -m 0755 %{name}-exec? %{buildroot}%{_bindir}/
# install hot-key usercommands, document, autostart file & wall paper
%__mkdir -p %{buildroot}%{_datadir}/%{name}
%__install -m 0644 %{SOURCE2} %{SOURCE6} %{SOURCE7} %{SOURCE10} %{buildroot}%{_datadir}/%{name}/

%clean
%__rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README TODO ChangeLog
%{_bindir}/*
%{_datadir}/*
%{_sysconfdir}/*

%changelog
* Sun Aug 30 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0.1-1
- initial Vine release

* Thu Aug 27 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0.1-0.3.9
- extend hot-keys

